xine-lib: xine_nbc_fifo_info_t Struct Reference

xine-lib 1.2.12

Data Fields
xine_nbc_fifo_info_t Struct Reference

## Data Fields
fifo_buffer_t * | fifo
xine_nbc_t * | nbc
int64_t | last_in_pts
int64_t | last_out_pts
int64_t | pos_pts
int | fill_pts
int | out_pts
uint32_t | type
int | fifo_fill
int | fifo_free
uint32_t | fifo_length
uint32_t | fifo_length_int
int64_t | last_pts
int64_t | first_pts
uint32_t | br
uint32_t | stream_br
uint32_t | fifo_size
int | in_disc

## Field Documentation

## ◆ br

uint32_t xine_nbc_fifo_info_t::br

Referenced by nbc_compute_fifo_length().

## ◆ fifo

fifo_buffer_t* xine_nbc_fifo_info_t::fifo

Referenced by dvbspeed_put().

## ◆ fifo_fill

int xine_nbc_fifo_info_t::fifo_fill

Referenced by dvbspeed_get(), dvbspeed_put(), nbc_compute_fifo_length(), nbc_get_cb(), and nbc_put_cb().

## ◆ fifo_free

int xine_nbc_fifo_info_t::fifo_free

Referenced by nbc_compute_fifo_length(), nbc_get_cb(), and nbc_put_cb().

## ◆ fifo_length

uint32_t xine_nbc_fifo_info_t::fifo_length

Referenced by nbc_compute_fifo_length().

## ◆ fifo_length_int

uint32_t xine_nbc_fifo_info_t::fifo_length_int

Referenced by nbc_compute_fifo_length().

## ◆ fifo_size

uint32_t xine_nbc_fifo_info_t::fifo_size

Referenced by nbc_compute_fifo_length(), nbc_get_cb(), and nbc_put_cb().

## ◆ fill_pts

int xine_nbc_fifo_info_t::fill_pts

Referenced by dvbspeed_get(), dvbspeed_put(), nbc_get_cb(), and nbc_put_cb().

## ◆ first_pts

int64_t xine_nbc_fifo_info_t::first_pts

Referenced by nbc_compute_fifo_length().

## ◆ in_disc

int xine_nbc_fifo_info_t::in_disc

Referenced by nbc_compute_fifo_length().

## ◆ last_in_pts

int64_t xine_nbc_fifo_info_t::last_in_pts

Referenced by nbc_put_cb().

## ◆ last_out_pts

int64_t xine_nbc_fifo_info_t::last_out_pts

Referenced by nbc_get_cb(), and nbc_put_cb().

## ◆ last_pts

int64_t xine_nbc_fifo_info_t::last_pts

Referenced by nbc_compute_fifo_length().

## ◆ nbc

xine_nbc_t* xine_nbc_fifo_info_t::nbc

Referenced by dvbspeed_get(), dvbspeed_put(), nbc_get_cb(), and nbc_put_cb().

## ◆ out_pts

int xine_nbc_fifo_info_t::out_pts

Referenced by dvbspeed_get(), dvbspeed_put(), nbc_get_cb(), and nbc_put_cb().

## ◆ pos_pts

int64_t xine_nbc_fifo_info_t::pos_pts

Referenced by nbc_put_cb().

## ◆ stream_br

uint32_t xine_nbc_fifo_info_t::stream_br

Referenced by nbc_compute_fifo_length().

## ◆ type

uint32_t xine_nbc_fifo_info_t::type

Referenced by dvbspeed_get(), dvbspeed_put(), nbc_get_cb(), and nbc_put_cb().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/xine-engine/net_buf_ctrl.c